%define pypi_name jsonpointer

Name:           python-jsonpointer
Version:        1.10
Release:        %mkrel 1
Group:          Development/Python
Summary:        Identify specific nodes in a JSON document (RFC 6901)

License:        Modified BSD License
URL:            https://github.com/stefankoegl/python-json-pointer
Source0:        https://pypi.python.org/packages/source/j/jsonpointer/jsonpointer-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Library to resolve JSON Pointers according to
[RFC 6901](http://tools.ietf.org/html/rfc6901)

%package -n     python3-%{pypi_name}
Summary:        Identify specific nodes in a JSON document (RFC 6901)


%description -n python3-%{pypi_name}
Library to resolve JSON Pointers according to
[RFC 6901](http://tools.ietf.org/html/rfc6901)


%prep
%setup -q -n %{pypi_name}-%{version}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/jsonpointer %{buildroot}/%{_bindir}/python3-jsonpointer
popd

%py2_install


%files
%doc README.md
%{_bindir}/jsonpointer
%{python2_sitelib}/


%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/python3-jsonpointer
%{python3_sitelib}/




%changelog
* Sat Dec 19 2015 philippem <philippem> 1.10-1.mga6
+ Revision: 912172
- update to 1.10

* Wed Oct 28 2015 philippem <philippem> 1.9-1.mga6
+ Revision: 896109
- update to 1.9

* Sat Oct 10 2015 tv <tv> 1.1-7.mga6
+ Revision: 888807
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 748783
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-5.mga5
+ Revision: 728856
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 688100
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.1-3.mga5
+ Revision: 628726
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 542478
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 philippem <philippem> 1.1-1.mga4
+ Revision: 497629
- imported package python-jsonpointer

